/**
 * Plugin to check spacing between sentences.
 * Emit warnings when the spacing does not adhere to the preferred style.
 *
 * @type {import('unified').Plugin<[Options?]>}
 */
export default function retextSentenceSpacing(
  options?: Options | undefined
): void | import('unified').Transformer
export type Preferred =
  | 0
  | 1
  | 2
  | 'newline'
  | 'space'
  | 'double-space'
  | null
  | undefined
/**
 * Configuration.
 */
export type Options = {
  /**
   * Spaces between sentences.
   * Use `0` for line endings.
   */
  preferred?: Preferred
}
